2024-01-18 00:48:05 UTC
53 MB
/usr/lib/jvm/liberica11-container-jre
LANGen_US.UTF-8
LANGUAGEen_US:en
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:7f38baa643383253af36ecc810c120813a2a3f8a9df70260472c7cf2dc11d015 - 20.57% (10.9 MB)
[#001] sha256:dcdae5ecd7568222d17575d384c7be3fb2335c498b56fb62186d59132ed99c19 - 79.43% (42.1 MB)
/bin/sh -c #(nop) ARG MINIROOTFS
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) ARG LIBC MINIROOTFS
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-01-18 00:13:58 UTC/bin/sh -c #(nop) ADD file:cd6a8f5558f3a5eef3a8c815ac29707ee994df04f435c4dbe04d82d63f27a8f0 in /
2024-01-18 00:13:59 UTC|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-240118-glibc-x86_64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "musl" ]; then apk add --no-cache musl-perf; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi
2024-01-18 00:13:59 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-01-18 00:47:46 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc-240118)/bin/sh -c #(nop) ARG JAVA_RELEASE
2024-01-18 00:47:46 UTC (FROM ce4861f66d09)/bin/sh -c #(nop) ARG CDS JAVA_RELEASE
2024-01-18 00:47:46 UTC (FROM bdbc657e0b05)/bin/sh -c #(nop) ARG CDS JAVA_RELEASE REMOVE_APK_TOOLS
2024-01-18 00:47:46 UTC (FROM c7c31e27122d)/bin/sh -c #(nop) ARG CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
2024-01-18 00:47:46 UTC (FROM 88ea55b95fbc)/bin/sh -c #(nop) ARG CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
2024-01-18 00:47:46 UTC (FROM 0fb16f6d75f5)/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-01-18 00:47:46 UTC (FROM b6400179689d)/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-01-18 00:47:46 UTC (FROM 7137ed3670c4)/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-01-18 00:47:46 UTC (FROM 8e242300e0da)/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en
2024-01-18 00:47:46 UTC (FROM e253792ee208)/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-container-jre"
2024-01-18 00:48:07 UTC (FROM 5c0f1bd0488e)|14 CDS=yes DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JRE 11. JAVA_RELEASE=11 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17' and '21' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-container-jre"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-container-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.